std::shared_timed_mutex Class Reference
Concurrency » Mutexes

`#include <shared_mutex>`

Inherits __shared_timed_mutex_base.

## Public Member Functions

| shared_timed_mutex (const shared_timed_mutex &)=delete
void | lock ()
void | lock_shared ()
shared_timed_mutex & | operator= (const shared_timed_mutex &)=delete
bool | try_lock ()
template<typename _Rep , typename _Period >
bool | try_lock_for (const chrono::duration< _Rep, _Period > &__rtime)
bool | try_lock_shared ()
template<typename _Rep , typename _Period >
bool | try_lock_shared_for (const chrono::duration< _Rep, _Period > &__rtime)
template<typename _Clock , typename _Duration >
bool | try_lock_shared_until (const chrono::time_point< _Clock, _Duration > &__abs_time)
template<typename _Clock , typename _Duration >
bool | try_lock_until (const chrono::time_point< _Clock, _Duration > &__abs_time)
void | unlock ()
void | unlock_shared ()

## Detailed Description

The standard shared timed mutex type.

Definition at line 452 of file shared_mutex.

## Member Function Documentation

## lock()

void std::shared_timed_mutex::lock | ( |  | ) |

inline

Definition at line 473 of file shared_mutex.

## lock_shared()

void std::shared_timed_mutex::lock_shared | ( |  | ) |

inline

Definition at line 489 of file shared_mutex.

## try_lock()

bool std::shared_timed_mutex::try_lock | ( |  | ) |

inline

Definition at line 474 of file shared_mutex.

## try_lock_for()

template<typename _Rep , typename _Period >

bool std::shared_timed_mutex::try_lock_for | ( | const chrono::duration< _Rep, _Period > & | __rtime | ) |

inline

Definition at line 479 of file shared_mutex.

## try_lock_shared()

bool std::shared_timed_mutex::try_lock_shared | ( |  | ) |

inline

Definition at line 490 of file shared_mutex.

## try_lock_shared_for()

template<typename _Rep , typename _Period >

bool std::shared_timed_mutex::try_lock_shared_for | ( | const chrono::duration< _Rep, _Period > & | __rtime | ) |

inline

Definition at line 495 of file shared_mutex.

## try_lock_shared_until()

template<typename _Clock , typename _Duration >

bool std::shared_timed_mutex::try_lock_shared_until | ( | const chrono::time_point< _Clock, _Duration > & | __abs_time | ) |

inline

Definition at line 696 of file shared_mutex.

## try_lock_until()

template<typename _Clock , typename _Duration >

bool std::shared_timed_mutex::try_lock_until | ( | const chrono::time_point< _Clock, _Duration > & | __abs_time | ) |

inline

Definition at line 672 of file shared_mutex.

## unlock()

void std::shared_timed_mutex::unlock | ( |  | ) |

inline

Definition at line 475 of file shared_mutex.

## unlock_shared()

void std::shared_timed_mutex::unlock_shared | ( |  | ) |

inline

Definition at line 491 of file shared_mutex.

The documentation for this class was generated from the following file:

- shared_mutex